| Home | Libraries | People | FAQ | More

## Struct template less_equal

boost::proto::less_equal — A metafunction for generating less-or-equal expression types, a grammar element for matching less-or-equal expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct less_equal :  proto::transform< less_equal<T, U> > {
      // types
      typedef proto::expr< proto::tag::less_equal, proto::list2< T, U > > type;
      typedef type                                                        proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<less_equal>::template impl<Expr, State, Data>
      {
      };
    };

## Description